IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_new_equctg]') AND type = 'P')
DROP PROCEDURE [dbo].[mps_new_equctg]
GO

-- =============================================
-- Author:<Author,,Name>
-- Create date: <Create Date,,>
-- Description:<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[mps_new_equctg]
-- Add the parameters for the stored procedure here
@cmpid int,
@ec_caption nvarchar(50)
AS
BEGIN
-- SET NOCOUNT ON added to prevent extra result sets from
-- interfering with SELECT statements.
SET NOCOUNT ON;

    -- Insert statements for procedure here
DECLARE @id int
DECLARE @tag int
SELECT TOP 1 @tag=ec_tag FROM mps_equctg GROUP BY ec_tag ORDER BY ec_tag DESC 
SET @tag = ISNULL(@tag+1,1)
SELECT TOP 1 @id=ec_id FROM mps_equctg WHERE ec_cmpid=@cmpid AND ec_caption=@ec_caption
SET @id = ISNULL(@id , 0)
IF(@id = 0)
BEGIN
INSERT INTO mps_equctg(ec_cmpid, ec_tag, ec_caption, ec_full, ec_type, ec_order, ec_level)
VALUES(@cmpid, @tag, @ec_caption, 'new content', 'new content', 0, 0)
SELECT TOP 1 @id=ec_id FROM mps_equctg WHERE ec_cmpid=@cmpid AND ec_caption=@ec_caption
SELECT * FROM mps_equctg WHERE ec_id=@id
END ELSE
BEGIN
SELECT 0 NONE WHERE 0=1
END
END